package com.pesets.game.skills;

import com.pesets.game.Enemy;
import com.pesets.game.Player;

public class SkillArcaneStrike extends Skill {

	@Override
	public void cast(Player player, Enemy target) {
		int damage = (int) (player.getIntelligence() * 0.08f * getLevel());
		target.skillHit(player, damage, 0, 0);
	}

	@Override
	public String getName() {
		return "Arcane Strike";
	}

	@Override
	public ActEvent getEvent() {
		return ActEvent.Attack;
	}

	@Override
	public int getIcon() {
		return 13;
	}

	@Override
	public float getMaxColdown() {
		return 0;
	}

	@Override
	public String getDescription() {
		return "Each attack deals additional (intelligence * 0.08 * level)";
	}

}
